%define __fastjetver 3.4.3
Summary: FJContrib, fastjet-contrib space
Name: fjcontrib
Version: 1.100
Release: 14%{?dist}3a
Source0: localhost:/%{name}-%{version}.tar.gz
URL: http://fastjet.hepforge.org/contrib/
Group: Development/Libraries
License: GPLv2
%define __prefix	/opt/fastjet
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: fastjet = %{__fastjetver}
Requires: fastjet = %{__fastjetver}

%description
The fastjet-contrib space is intended to provide a common location for access to 3rd party extensions of FastJet.

%prep
%setup 

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}/%{__fastjetver}/{lib,include/fastjet}

%build
./configure --fastjet-config=%{__prefix}/%{__fastjetver}/bin/fastjet-config \
            CXX="clang++"
 
make %{?_smp_mflags}
make fragile-shared %{?_smp_mflags}

%install
make install PREFIX=$RPM_BUILD_ROOT/%{__prefix}/%{__fastjetver}
make fragile-shared-install PREFIX=$RPM_BUILD_ROOT/%{__prefix}/%{__fastjetver}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README VERSION
%defattr(-,root,wheel)
%{__prefix}/%{__fastjetver}/lib/*
%{__prefix}/%{__fastjetver}/include/fastjet/*

%changelog
* Tue Dec 24 2024 Keisuke Fujii <keisuke.fujii@kek.jp> 1.100-14hepx3a
- 1st release on MacOS 14 with the version (v.1.100)
- requires fastjet-3.4.3.
- rebuilt with OSXWS 14 and clang.

* Tue Nov 7 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 1.053-13hepx3a
- 2nd release on MacOS 13 with the version (v.1.053)
- requires fastjet-3.4.2.
- rebuilt with OSXWS 13 and clang.

* Mon Nov 6 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 1.048-13hepx2a
- 1st release on MacOS 13.
- requires fastjet-3.4.2.
- rebuilt with OSXWS 13 and clang.

* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.048-12hepx2b
- 2nd release on MacOS 12 for M1 Macs.
- requires fastjet-3.4.0.
- rebuilt with OSXWS 12beta and clang.

* Thu Feb 24 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.048-12hepx2a
- 1st release on MacOS 12 for M1 Macs.
- requires fastjet-3.4.0.
- built with OSXWS 11 and clang.

* Wed Jan 29 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 1.042-10.15hepx1a
- 1st release on MacOS X 10.15 for x86_64.
- built with OSXWS 10.15.

* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 1.042-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 1.026-10.14hepx1b
- 2nd release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.026-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.13.

* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.026-10.13hepx1a
- 1st release on MacOS X 10.13 for x86_64.

* Sat Jan 28 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 1.026-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
